1. Reports
Traccar
  • Attributes
    • Fetch a list of Attributes
      GET
    • Create an Attribute
      POST
    • Delete an Attribute
      DELETE
    • Update an Attribute
      PUT
  • Calendars
    • Fetch a list of Calendars
      GET
    • Create a Calendar
      POST
    • Delete a Calendar
      DELETE
    • Update a Calendar
      PUT
  • Commands
    • Fetch a list of Saved Commands
      GET
    • Create a Saved Command
      POST
    • Fetch a list of Saved Commands supported by Device at the moment
      GET
    • Dispatch commands to device
      POST
    • Fetch a list of available Commands for the Device or all possible Commands if Device ommited
      GET
    • Delete a Saved Command
      DELETE
    • Update a Saved Command
      PUT
  • Devices
    • Fetch a list of Devices
      GET
    • Create a Device
      POST
    • Delete a Device
      DELETE
    • Update a Device
      PUT
    • Update total distance and hours of the Device
      PUT
  • Drivers
    • Fetch a list of Drivers
    • Create a Driver
    • Delete a Driver
    • Update a Driver
  • Events
    • /events/{id}
  • Geofences
    • Fetch a list of Geofences
    • Create a Geofence
    • Delete a Geofence
    • Update a Geofence
  • Groups
    • Fetch a list of Groups
    • Create a Group
    • Delete a Group
    • Update a Group
  • Maintenance
    • Fetch a list of Maintenance
    • Create a Maintenance
    • Delete a Maintenance
    • Update a Maintenance
  • Notifications
    • Fetch a list of Notifications
    • Create a Notification
    • Send test notification to current user via Email and SMS
    • Fetch a list of available Notification types
    • Delete a Notification
    • Update a Notification
  • Permissions
    • Unlink an Object from another Object
    • Link an Object to another Object
  • Positions
    • Fetches a list of Positions
  • Reports
    • Fetch a list of Events within the time period for the Devices or Groups
      GET
    • Fetch a list of Positions within the time period for the Devices or Groups
      GET
    • Fetch a list of ReportStops within the time period for the Devices or Groups
      GET
    • Fetch a list of ReportSummary within the time period for the Devices or Groups
      GET
    • Fetch a list of ReportTrips within the time period for the Devices or Groups
      GET
  • Server
    • Fetch Server information
    • Update Server information
  • Session
    • Close the Session
    • Fetch Session information
    • Create a new Session
  • Statistics
    • Fetch server Statistics
  • Users
    • Fetch a list of Users
    • Create a User
    • Delete a User
    • Update a User
  • Schemas
    • Schemas
      • Attribute
      • Calendar
      • Command
      • CommandType
      • Device
      • DeviceAccumulators
      • Driver
      • Event
      • Geofence
      • Group
      • Maintenance
      • Notification
      • NotificationType
      • Permission
      • Position
      • ReportStops
      • ReportSummary
      • ReportTrips
      • Server
      • Statistics
      • User
  1. Reports

Fetch a list of ReportTrips within the time period for the Devices or Groups

Demo Server 1
https://demo.traccar.org/api
Demo Server 1
https://demo.traccar.org/api
GET
/reports/trips
At least one deviceId or one groupId must be passed

Request

Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.traccar.org/api/reports/trips?from=&to='
Response Response Example
[
    {
        "averageSpeed": 0,
        "deviceId": 0,
        "deviceName": "string",
        "distance": 0,
        "driverName": "string",
        "driverUniqueId": 0,
        "duration": 0,
        "endAddress": "string",
        "endLat": 0,
        "endLon": 0,
        "endTime": "2019-08-24T14:15:22.123Z",
        "maxSpeed": 0,
        "spentFuel": 0,
        "startAddress": "string",
        "startLat": 0,
        "startLon": 0,
        "startTime": "2019-08-24T14:15:22.123Z"
    }
]
Modified at 2022-09-11 14:40:15
Previous
Fetch a list of ReportSummary within the time period for the Devices or Groups
Next
Fetch Server information
Built with